Schneider Fixes Bugs in SCADA Apps

Tuesday, August 6, 2013 @ 12:08 PM gHale


Schneider Electric created patches that mitigate a XML external entity vulnerability in its Vijeo Citect, CitectSCADA, and PowerLogic SCADA applications, according to a report on ICS-CERT.

The vulnerability, discovered by Timur Yunusov, Alexey Osipov, and Ilya Karpov of Positive Technologies, could lead to the disclosure of confidential information by allowing access to local files and internal resources or cause the server to potentially execute arbitrary HTTP requests, or affect system availability.

RELATED STORIES
Moxa Mitigates Entropy Vulnerability
Siemens Fixes Scalance Vulnerabilities
Siemens WinCC TIA Portal Vulnerabilities
IOServer Fixes Improper Input Validation

The vulnerability affects the following products:
• Vijeo Citect Version 7.20 and all previous versions
• CitectSCADA Version 7.20 and all previous versions
• PowerLogic SCADA Version 7.20 and all previous versions

Schneider Electric is a manufacturer and integrator of energy management and industrial automation systems, equipment, and software. The affected Schneider Electric systems are primarily in energy, manufacturing, and infrastructure applications. Schneider Electric reports operations in over 100 countries worldwide.

The affected products can process a XML document that can contain XML entities with URLs that resolve to documents outside of the intended sphere of control, causing the product to embed incorrect documents into its output.

CVE-2013-2796 is the number assigned to this vulnerability, which has a CVSS v2 base score of 6.9.

This vulnerability is not exploitable remotely and no known public exploits specifically target this vulnerability. An attacker with a medium skill level would be able to exploit this vulnerability.

Schneider Electric has developed patches for Versions 7.10 and 7.20 of each of the affected products. Users of older products should upgrade to a newer, supported version.

Vijeo Citect or CitectSCADA customers can download patches for this vulnerability at:
Version 7.20 of Vijeo Citect

Version 7.10 of Vijeo Citect

Version 7.20 of CitectSCADA

Version 7.10 of CitectSCADA

PowerLogic SCADA customers can download patches for this vulnerability at:
Version 7.20 of Power Logic SCADA Service Release 1

Version 7.10 of Power Logic SCADA Service Release 4

Schneider Electric recommends that customers contact a support center:
Vijeo Citect & CitectSCADA contact the SCADA & MES Software Global Support Center.

PowerLogic SCADA customers contact your local country support organization.



Leave a Reply

You must be logged in to post a comment.